# Uses of Class
serp.bytecode.Annotations

Packages that use Annotations
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of Annotations in serp.bytecode

Methods in serp.bytecode that return Annotations
Modifier and Type
Method
Description
`Annotations`
Annotated.`getDeclaredAnnotations(boolean add)`
Return runtime invisible annotation information for the entity.
`Annotations`
Annotated.`getDeclaredRuntimeAnnotations(boolean add)`
Return runtime visible annotation information for the entity.

## Uses of Annotations in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type Annotations
Modifier and Type
Method
Description
`void`
BCVisitor.`enterAnnotations(Annotations obj)`
`void`
BCVisitor.`exitAnnotations(Annotations obj)`